package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PencucianLinenVO extends BaseTransactionVO {

	private static final long serialVersionUID = 563450755081259052L;

	@Caption(value = "Tgl")
	@Column(name = "Tgl", nullable = true)
	private Date tgl;

	@ManyToOne
	@JoinColumn(name = "ObjectMappingCycleFk")
	private MappingCycleVO mappingCycle;

	@Caption(value = "Berat")
	@Column(name = "Berat", nullable = true)
	private Float berat;

	@ManyToOne
	@JoinColumn(name = "ObjectSatuanFk")
	private SatuanStandarVO satuan;

	public Date getTgl() {
		return tgl;
	}

	public void setTgl(Date tgl) {
		this.tgl = tgl;
	}

	public MappingCycleVO getMappingCycle() {
		return mappingCycle;
	}

	public void setMappingCycle(MappingCycleVO mappingCycle) {
		this.mappingCycle = mappingCycle;
	}

	public Float getBerat() {
		return berat;
	}

	public void setBerat(Float berat) {
		this.berat = berat;
	}

	public SatuanStandarVO getSatuan() {
		return satuan;
	}

	public void setSatuan(SatuanStandarVO satuan) {
		this.satuan = satuan;
	}

}
